Mail archive
alpine-aports

[alpine-aports] [PATCH] update of package x2goserver

From: Jean-Charles de Longueville <jch_at_alpine-dev.hellea.net>
Date: Mon, 16 Mar 2015 14:45:32 +0100

---
 testing/x2goserver/APKBUILD                | 25 ++++++++++++-------------
 testing/x2goserver/x2goserver.post-install |  2 ++
 testing/x2goserver/x2goserver.pre-install  |  2 +-
 3 files changed, 15 insertions(+), 14 deletions(-)
 create mode 100755 testing/x2goserver/x2goserver.post-install
diff --git a/testing/x2goserver/APKBUILD b/testing/x2goserver/APKBUILD
index 2b425d2..33f9169 100644
--- a/testing/x2goserver/APKBUILD
+++ b/testing/x2goserver/APKBUILD
_at_@ -1,15 +1,17 @@
 # Contributor: Jeff Bilyk <jbilyk_at_gmail.com>
+# Contributor: Jean-Charles de Longueville <jch_at_hellea.eu>
 # Maintainer:
 pkgname=x2goserver
-pkgver=4.0.1.15
+pkgver=4.0.1.19
 pkgrel=0
-pkgdesc="Terminal server"
+pkgdesc=" X2Go enables you to access a graphical desktop of a computer over a low bandwidth (or high bandwidth) connection. "
 url="http://x2go.org"
 arch="all"
 license="GPL2+"
-depends=""
-makedepends="libssh2-dev perl-dbd-sqlite python-dev xauth bash man"
-install="$pkgname.pre-install"
+options="suid"
+depends="perl perl-config-simple perl-dbi perl-file-readbackwards perl-capture-tiny perl-dbd-sqlite bash iproute2 makepasswd openssh lsof xauth perl-file-basedir mcookie nx-libs perl-file-which"
+makedepends="libssh2-dev python-dev man"
+install="$pkgname.pre-install $pkgname.post-install"
 subpackages="$pkgname-doc"
 source="http://code.x2go.org/releases/source/$pkgname/$pkgname-$pkgver.tar.gz"
 pkgusers="x2gouser"
_at_@ -24,21 +26,18 @@ prepare() {
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
-
-	#Every Makefile has /usr/local as PREFIX, so replace that
-	find ./ -name Makefile | xargs sed -e 's#/usr/local#/usr#g' -i
 }
 
 build() {
 	cd "$_builddir"
-	make || return 1
+	make PREFIX=/usr || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
 }
 
-md5sums="6b1d77f1955103cd59958fc67a0b77e2  x2goserver-4.0.1.15.tar.gz"
-sha256sums="46c0fc2303014db99b138a352a7f3df89c4f7cfabc11dc0aeea4cdc76253bdfb  x2goserver-4.0.1.15.tar.gz"
-sha512sums="ca806c39d2536e7962540733e85199fefea54e80695c6f1ca736cc1998b411524afa8d9cf29c26855fc3373105277daa4ddd69cbcd05c2bbecb01ca5172ba05c  x2goserver-4.0.1.15.tar.gz"
+md5sums="7f1093c4dbc0a273bcc73a2e4b2c8b69  x2goserver-4.0.1.19.tar.gz"
+sha256sums="3dd5c1464a7992a38760fd6b08f5f8d37646f939f4f7834a7cd96bf4950623cc  x2goserver-4.0.1.19.tar.gz"
+sha512sums="dbd054a6bf781d843a48fcea3449037b991aaa38a52705d48dd5fa8d7fe85c56d4ff31b9a10189a9043a3e5cc0c69475947aea5a5fb78e3c076c0e56079b747d  x2goserver-4.0.1.19.tar.gz"
diff --git a/testing/x2goserver/x2goserver.post-install b/testing/x2goserver/x2goserver.post-install
new file mode 100755
index 0000000..8a1885a
--- /dev/null
+++ b/testing/x2goserver/x2goserver.post-install
_at_@ -0,0 +1,2 @@
+#!/bin/sh
+test -s /var/lib/x2go/x2go_sessions && /usr/sbin/x2godbadmin --updatedb || /usr/sbin/x2godbadmin --createdb
diff --git a/testing/x2goserver/x2goserver.pre-install b/testing/x2goserver/x2goserver.pre-install
index e21413f..db97192 100755
--- a/testing/x2goserver/x2goserver.pre-install
+++ b/testing/x2goserver/x2goserver.pre-install
_at_@ -1,4 +1,4 @@
 #!/bin/sh
 
 addgroup -S x2gouser
-adduser -S -G x2gouser -H -h /var/lib/x2go -s /bin/false x2gouser
+adduser -S -D -G x2gouser -h /var/lib/x2go -s /bin/false x2gouser
-- 
2.3.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 16 2015 - 14:45:32 GMT